{% extends "base.html" %}
{% block main %}

<form role="form" method="POST" action="{{ url_for('save_album', appel = 0) }}" class="needs-validation" enctype=multipart/form-data novalidate>

    {{ form.hidden_tag() }}

    <h1>Edit album</h1>
    <div class="form-group">
        <label for="title" class="col-sm-2 control-label">{{ form.title.label}}</label>
        <div class="col-sm-10">
            {{ form.title(size=50, class_="form-control", placeholder="Enter title", required=True) }}
            <div class="valid-feedback">Valid.</div>
            <div class="invalid-feedback">Please fill out this field.</div>
        </div>
    </div>

    <div class="form-group">
        <label for="releaseYear" class="col-sm-2 control-label">{{ form.releaseYear.label}}</label>
        <div class="col-sm-10">
            {{ form.releaseYear(size=50, class_="form-control", placeholder="Enter releaseYear", required=True) }}
            <div class="valid-feedback">Valid.</div>
            <div class="invalid-feedback">Please fill out this field.</div>
        </div>
    </div>

    <div class="form-group">
        <label for="parent" class="col-sm-2 control-label">{{ form.parent.label}}</label>
        <div class="col-sm-10">
            {{ form.parent(size=50, class_="form-control", placeholder="Enter parent", required=True) }}
            <div class="valid-feedback">Valid.</div>
            <div class="invalid-feedback">Please fill out this field.</div>
        </div>
    </div>

    <div class="form-group">
        <label for="artist" class="col-sm-2 control-label">{{ form.artist.label}}</label>
        <div class="col-sm-10">
            {{ form.artist(size=50, class_="form-control", placeholder="Enter artist", required=True) }}
            <div class="valid-feedback">Valid.</div>
            <div class="invalid-feedback">Please fill out this field.</div>
        </div>
    </div>

    <div class="form-group">
        <label for="artist" class="col-sm-2 control-label">{{ form.spotify.label}}</label>
        <div class="col-sm-10">
            {{ form.spotify(size=50, class_="form-control", placeholder="Spotify Link", required=True) }}
            <div class="valid-feedback">Valid.</div>
            <div class="invalid-feedback">Please fill out this field.</div>
        </div>
    </div>

    <div class="form-group">
        <label for="img" class="col-sm-2 control-label">{{ form.img.label}}</label>
        <div class="col-sm-10">
            {{ form.img(size=50, class_="form-control", placeholder="Enter artist", required=True) }}
            <div class="valid-feedback">Valid.</div>
            <div class="invalid-feedback">Please fill out this field.</div>
        </div>
    </div>

    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-success">Ajouter</button>
        </div>
    </div>

</form>

{% endblock %}
